# List assets in a Brandfolder

Lists assets in a Brandfolder.

Endpoint: GET /brandfolders/{brandfolder_id}/assets
Version: v4
Security: APIToken

## Path parameters:

  - `brandfolder_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgiju-21olts-ce9egi"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Query parameters:

  - `page` (integer)
    Set this to a positive, non-zero integer representing the page number of
the results you want.

  - `per` (integer)
    Set this pagination parameter to the maximum number of results you want
to receive back from your request. More records may exist (as denoted by
the meta.total_count value).

  - `search` (string)
    Set it to any URL-encoded query to fetch only assets that match your
criteria.

WARNING: This parameter can slow response times.
    Example: "extension:png"

  - `fields` (string)
    Set it to a comma-separated list (no spaces) of any of the following
attributes of the asset to return as part of the asset's attributes in
the response.

Allowed values: 

- created_at
- updated_at
- cdn_url
- availability

WARNING: This parameter can slow response times.
    Example: "cdn_url"

  - `include` (string)
    Set it to a comma-separated list (no spaces) of any of the following
record names to return those records related to the asset you're
fetching. Related records are returned in an included array in the
response.

Allowed values: 

- attachments
- brandfolder
- collections
- custom_fields
- section
- tags

WARNING: This parameter can slow response times.
    Example: "tags"

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-443db"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "generic_files"

  - `data.attributes` (object, required)

  - `data.attributes.name` (string)
    The name of the asset.
    Example: "Brandfolder Logo"

  - `data.attributes.description` (string)
    The description of the asset.
    Example: "Brandfolder's logo in print ready format"

  - `data.attributes.thumbnail_url` (string)
    The online location of the asset.
    Example: "https://example.com/example.jpg?Expires=1624742369"

  - `data.attributes.approved` (boolean)
    If true, this asset is approved; otherwise, it's not.
    Example: true

  - `meta` (object, required)
    Page context information.

  - `meta.current_page` (integer, required)
    Example: 1

  - `meta.next_page` (object,null, required)

  - `meta.prev_page` (object,null, required)

  - `meta.total_pages` (number, required)
    Example: 1

  - `meta.total_count` (number, required)
    Example: 1


## Response 404 fields
